# Generated by Django 2.0.7 on 2018-07-23 06:13

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Quest',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('rewardXP', models.IntegerField(default=1)),
                ('rewardGold', models.IntegerField(default=1)),
                ('penaltyHP', models.IntegerField(default=1)),
                ('rewardPts', models.IntegerField(default=1)),
                ('task', models.TextField()),
                ('questName', models.CharField(max_length=100)),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='UserStats',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('HP', models.IntegerField(default=10)),
                ('XP', models.IntegerField(default=0)),
                ('level', models.IntegerField(default=1)),
                ('points', models.IntegerField(default=0)),
                ('gold', models.IntegerField(default=0)),
                ('user', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
        ),
    ]
